/*----------------------------- header */
/*header  */
header {
  position: relative;
  background-color: var(--color-header-bootom);
}

header h1 {
  position: absolute;
  top: 100px;
  left: 6%;

  color: var(--color-headline);
  font-size: var(--text-xl);
  text-shadow: var(--shadow-medium);
  z-index: 21;
}

header .container-dark {
  position: relative;
  display: block;

  left: 0px;
  height: 64px;
  width: 100%;

  z-index: 20;
  background-color: var(--color-header-top);
}

/*wave*/
header .wave {
  position: relative;
  display: block;
  width: 100%;
  z-index: 20;

  object-fit: fill !important;
}

header .wave-top {
  position: absolute;
  display: block;
  top: 0px;
  width: 100%;

  object-fit: fill !important;
  z-index: 20;
}

header .wave-bottom {
  position: absolute;
  display: block;
  bottom: 0px;
  width: 100%;

  object-fit: fill !important;
  z-index: 20;
}

/*slider track*/
.slider-box {
  position: relative;
  width: 100%;
  height: 400px;

  overflow: hidden;
  padding-bottom: 64px;
}

.slider-track {
  display: flex;
  width: 100%;
  height: 100%;

  transition: transform 0.5s ease-in-out;
}

.slider-track img {
  height: 450px;
  width: 100%;

  object-fit: cover;
  flex-shrink: 0;
}

/*top menu*/
header .logo-image {
  position: fixed;
  top: 0px;
  left: 0px;
  height: 130px;
  width: 130px;

  z-index: 1000;
}

header .container-menü {
  position: fixed;
  display: flex;
  top: 0;
  left: 0;
  width: 100%;
  height: 128px;

  background-color: rgba(25, 34, 90, 0.757);
  border-radius: 10px;
  transform: translateY(-100%);
  transition: transform 0.5s cubic-bezier(0.4, 0, 0.2, 1);

  z-index: 998;
}

header .container-menü.active {
  transform: translateY(0);
  transition: transform 0.4s cubic-bezier(0.4, 0, 1, 1);
}

/*links*/
header .links {
  position: fixed;
  top: 8px;
  left: 16px;
  height: 74px;

  background-color: var(--color-surface-dark);
  box-shadow: var(--shadow-medium);
  border-radius: 10px;
  pointer-events: all;
  z-index: 1000;
}

header .links a {
  position: relative;
  top: 16px;
  margin: 16px;
  display: none;
  font-family: "Charm", sans-serif;
}

header a {
  color: #ffffff;
  text-decoration: none;
  margin-right: 10px;
  font-size: 1.1em;
  pointer-events: all;
}

header .links a:hover {
  color: #99abbe;
  text-decoration: underline;
}

/*media_700*/
@media (min-width: 700px) {
  header .links a {
    display: unset;
    display: inline;
    font-size: 1.1em;
  }

  header .logo-image {
    left: unset;
    right: 0px;
    height: 170px;
    width: 170px;
  }

  .slider-box {
    height: 700px;
  }

  .slider-track img {
    height: 700px;
  }

  header h1 {
    font-size: 4rem;
  }
}

@media (min-width: 1100px) {
  .slider-box {
    height: 1000px;
  }

  .slider-track img {
    width: 50%;
    height: 1000px;
    object-fit: cover;
    flex-shrink: 0;
  }

  header h1 {
    font-size: 5rem;
  }
}
